__gnu_cxx::throw_value_limit(3cxx)

NAME
__gnu_cxx::throw_value_limit - Type throwing via limit condition.

SYNOPSIS

#include <throw_allocator.h>

Inherits __gnu_cxx::throw_value_base< limit_condition >.

  Public Types

typedef throw_value_base< limit_condition > base_type
typedef limit_condition condition_type

  Public Member Functions

throw_value_limit (const std::size_t __i)
throw_value_limit (const throw_value_limit &__other)
throw_value_limit (throw_value_limit &&)=default
throw_value_base & operator++ ()
throw_value_limit & operator= (const throw_value_limit &__other)
throw_value_limit & operator= (throw_value_limit &&)=default

  Static Public Member Functions

static size_t & count ()
static size_t & limit ()
static void set_limit (const size_t __l)
static void throw_conditionally ()

  Public Attributes

std::size_t _M_i

Detailed Description

Type throwing via limit condition.

Definition at line 742 of file throw_allocator.h.

Member Typedef Documentation

  typedef throw_value_base<limit_condition> __gnu_cxx::throw_value_limit::base_type

Definition at line 744 of file throw_allocator.h.

  typedef limit_condition __gnu_cxx::throw_value_base< limit_condition >::condition_type [inherited]

Definition at line 627 of file throw_allocator.h.

Constructor & Destructor Documentation

  __gnu_cxx::throw_value_limit::throw_value_limit () [inline]

Definition at line 747 of file throw_allocator.h.

  __gnu_cxx::throw_value_limit::throw_value_limit (const throw_value_limit & __other) [inline]

Definition at line 749 of file throw_allocator.h.

  __gnu_cxx::throw_value_limit::throw_value_limit (const std::size_t __i) [inline], [explicit]

Definition at line 756 of file throw_allocator.h.

Member Function Documentation

  static size_t & __gnu_cxx::limit_condition::count () [inline], [static], [inherited]

Definition at line 476 of file throw_allocator.h.

  static size_t & __gnu_cxx::limit_condition::limit () [inline], [static], [inherited]

Definition at line 483 of file throw_allocator.h.

  throw_value_base & __gnu_cxx::throw_value_base< limit_condition >::operator++ () [inline], [inherited]

Definition at line 664 of file throw_allocator.h.

  throw_value_limit & __gnu_cxx::throw_value_limit::operator= (const throw_value_limit & __other) [inline]

Definition at line 760 of file throw_allocator.h.

  static void __gnu_cxx::limit_condition::set_limit (const size_t __l) [inline], [static], [inherited]

Definition at line 491 of file throw_allocator.h.

  static void __gnu_cxx::limit_condition::throw_conditionally () [inline], [static], [inherited]

Definition at line 468 of file throw_allocator.h.

Member Data Documentation

  std::size_t __gnu_cxx::throw_value_base< limit_condition >::_M_i [inherited]

Definition at line 631 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.